<?php

// Get the logged in user's user name
$user = wp_get_current_user();
$name = $user->data->display_name;

$post_type = isset($_GET['post_type']) ? $_GET['post_type'] : 'post';

// Check to see what posts this user has written
$args = array(
	'author' => $user->ID, // I could also use $user_ID, right?
    'orderby' => 'post_date',
    'post_type' => $post_type,
    'order' => 'DESC',
    'numberposts' => 1
);

$posts = get_posts($args);

// Show a different message depending on whether they've already contributed or not
if($posts):
	$editMessage = sprintf("Welcome back! Your last post was <a href='%s'>%s</a>, created %s ago",
								get_edit_post_link($posts[0]->ID),
								$posts[0]->post_title,
								human_time_diff(time(), strtotime($posts[0]->post_date)));
else:
	$editMessage = "Get started by creating a <a href=''>new post</a>";
endif;

printf("<p>Hi, %s. %s</p>", $name, $editMessage);