<?php

$post_type = isset($_GET['post_type']) ? $_GET['post_type'] : 'post';

global $wpdb;

// Returns all 'revision' posts within the last 7 days of a given post type
$sql = <<<SQL
	SELECT DISTINCT P0.ID, P1.post_type FROM
	{$wpdb->prefix}posts as P0
	LEFT JOIN {$wpdb->prefix}posts as P1 ON (P0.post_parent = P1.ID)
	WHERE P0.post_type = 'revision'
	AND P1.post_type = '%s'
	AND P1.post_name NOT LIKE '%-autosave-%'
	AND P1.post_status != 'trash'
	AND P0.post_modified >= DATE(NOW()) - INTERVAL 7 DAY
SQL;

$results = $wpdb->get_results($wpdb->prepare($sql, $post_type));

$count = sizeof($results);

printf("<p>There have been <b>%d %s</b> in the past 7 days</p>", $count, $count == 1 ? 'revision' : 'revisions');